using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class TutorialTriggers : MonoBehaviour {

    [Header("Text Elements")]
    public GameObject teslaText;
    public GameObject generatorText;
    public GameObject completeText;

    [Header("Rope Elements")]
    public GameObject generator;
    public GameObject teslaCoil;

    public void Start()
    {
        Debug.Assert(generator != null);
        Debug.Assert(teslaCoil != null);
        Debug.Assert(teslaText != null);
        Debug.Assert(generatorText != null);

        teslaText.SetActive(false);
        completeText.SetActive(false);
    }

    public void GeneratorClick()
    {
        teslaText.SetActive(true);
    }

    public void TeslaClick()
    {
        completeText.SetActive(true);
        Invoke("MainMenu", 3f);
    }

    private void MainMenu()
    {
        SceneManager.LoadScene("MainMenuNew");
    }
}
